PETSc version 3.15.5
Fix/Edit manual page

# DMIsForest

Check whether a DM uses the DMFOREST interface for hierarchically-refined meshes

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMIsForest(DM dm, PetscBool *isForest)

Not Collective

### Input parameter

| dm | - the DM object

### Output parameter

| isForest | - whether dm is a subtype of DMFOREST

### See Also

DMFOREST, DMForestRegisterType()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c

### Examples

src/snes/tutorials/ex56.c.html
src/ts/tutorials/ex11.c.html
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages